Page MenuHomePhabricator

efl/config: merge all gesture manager config code into efl.config
ClosedPublic

Authored by zmike on Jan 30 2020, 8:48 AM.

Details

Summary

this is all just duplicated code, so we can deduplicate it with minimal
effort to clean up the api

Depends on D11249

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 30 2020, 8:48 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

zmike requested review of this revision.Jan 30 2020, 8:48 AM
bu5hm4n requested changes to this revision.Feb 3 2020, 11:26 PM
bu5hm4n added a subscriber: bu5hm4n.

Looks good side this little nitpick

src/lib/efl/interfaces/efl_config.eo
31

I think .eo file format has $null, so its displayed correctly in other langs.

This revision now requires changes to proceed.Feb 3 2020, 11:26 PM

The $ in EO docs only means that that word will be rendered in a monospaced font. It bears no other special meaning.
I've always tried to use $ with null, but after grepping a bit I see we have roughly the same amount of $null and $NULL (and some null and NULL too).
So feel free to use whichever you prefer, that should be homogenized at some point anyway.

zmike requested review of this revision.Feb 4 2020, 6:12 AM

I choose to not change anything.

How very unsurprising. A later global doc pass should take care of that.

zmike updated this revision to Diff 28895.Feb 7 2020, 7:21 AM
zmike edited the summary of this revision. (Show Details)

rebase

bu5hm4n accepted this revision.Feb 12 2020, 6:09 AM

Sounds good i think.

This revision is now accepted and ready to land.Feb 12 2020, 6:09 AM
Closed by commit rEFL151ec0748a53: efl/config: merge all gesture manager config code into efl.config (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 14 2020, 12:23 AM
This revision was automatically updated to reflect the committed changes.